% CoMa2 - SS11
% Aufg.9.2

% harmonischer Oszillator fr \omega = 1

clear all

t = 0:0.01:100;  % Zeitintervall

figure(1);
plot(cos(t),-sin(t));
% oder:
% A = @(t) [0 t;-t 0];
% x0 = [1;0];
% x = zeros(2,length(t));
% for i=1:length(t)
%     x(:,i) = expm(A(t(i)))*x0;
% end
% plot(x(1,:),x(2,:));
title('analytische Lsung; \omega = 1');

figure(2);
A = [0 1;-1 0];
x0 = [1;0];
tau = 0.02;
N = 100/tau;
y = zeros(2,N);
y(:,1) = x0;
for k=1:N
    y(:,k+1) = y(:,k) + (tau*A)*y(:,k);
end
plot(y(1,:),y(2,:));
title('numerische Lsung');

% alternativer Weg: Benutze den Code von Aufg.8.2